"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCodeCaptch = exports.createSvgCaptcha = exports.create = void 0;
const svgCaptcha = require("svg-captcha");
const random_1 = require("@zodash/random");
function create(options) {
    var _a;
    const type = (options === null || options === void 0 ? void 0 : options.type) || 'image';
    switch (type) {
        case 'image':
            return createSvgCaptcha();
        case 'code':
            return createCodeCaptch((_a = options) === null || _a === void 0 ? void 0 : _a.length);
        default:
            throw new Error(`Unknow type: ${type}`);
    }
}
exports.create = create;
function createSvgCaptcha() {
    const _ = svgCaptcha.create();
    return {
        type: 'svg',
        code: _.text,
        data: _.data,
    };
}
exports.createSvgCaptcha = createSvgCaptcha;
function createCodeCaptch(len) {
    const code = random_1.default.string(+len || 6);
    return {
        type: 'code',
        code,
        data: code,
    };
}
exports.createCodeCaptch = createCodeCaptch;
exports.default = create;
